
close all
load ceroymen20contrafase
N=2048*2;
H1=abs(fftshift(fft(h(:,210),N)));
H2=abs(fftshift(fft(w2,N)));
%OPCIONALES
H3=abs(fftshift(fft(w3,N)));
H4=abs(fftshift(fft(w4,N)));

%VER MODOS DE VIBRACION
Hm1=abs(fftshift(fft(w5,N)));
Hm2=abs(fftshift(fft(w6,N)));


fs=1/dt;
fn=fs/2;
f=fs*[0:N-1]/N-fn;
subplot(2,1,1)
semilogx(f,10*log10(abs(H1).^2),f,10*log10(abs(H2).^2));xlim([0 10000]);legend('MIC 1','MIC 2')
title(['ESPECTRO MUESTREADO A  ',num2str(fs),'Hz']);xlabel('FRECUENCIA (Hz)') 
grid on
subplot(2,1,2)
plot((1:maxtt*maxttt)*dt*1000,h(:,210),(1:maxtt*maxttt)*dt*1000,w2);legend('MIC 1','MIC 2');xlabel('TIEMPO(ms)'),grid on 

%OPCIONALES
figure
subplot(2,1,1)
semilogx(f,10*log10(abs(H3).^2),f,10*log10(abs(H4).^2));xlim([0 10000]);legend('MIC 3','MIC 4')
title(['ESPECTRO MUESTREADO A  ',num2str(fs),'Hz']);xlabel('FRECUENCIA (Hz)') 
grid on
subplot(2,1,2)
plot((1:maxtt*maxttt)*dt*1000,w3,(1:maxtt*maxttt)*dt*1000,w4);legend('MIC 3','MIC 4');xlabel('TIEMPO(ms)'),grid on

%VER MODOS DE VIBRACION
figure
subplot(2,1,1)
semilogx(f,10*log10(abs(Hm1).^2),f,10*log10(abs(Hm2).^2));xlim([0 10000]);legend('MODOS 1','MODOS 2')
title(['ESPECTRO MUESTREADO A  ',num2str(fs),'Hz']);xlabel('FRECUENCIA (Hz)') 
grid on
subplot(2,1,2)
plot((1:maxtt*maxttt)*dt*1000,w5,(1:maxtt*maxttt)*dt*1000,w6);legend('MODOS 1','MODOS 2');xlabel('TIEMPO(ms)'),grid on 
